/**
* Title: Settings
* Description:
* Copyright:    Copyright (c) 2003-2010
* Company:      Morpheus Quality Technologies
* @author Stefano Adriani
* @version 1.0
*/

package adriani.jws.template ;

/**
* Class containing the static values defining boolean flags, constants and logical names.
*/
public class Settings {

	/** Last released version of the web service.														*/
	public static String	VERSION		= "1.0" ;						// Currently developing right now

	/** If <code>true</code> debug messagges are printed on standard output.							*/
	public static boolean	DEBUG		= true ;						// Default value

	/** If <code>true</code> very detailed debug messagges are printed on the standard output (verbose).*/
	public static boolean	DETAILS		= true ;						// Default value

	/** If <code>true</code> statistical analysis data are collected during execution.					*/
	public static boolean	ANALYZE		= false ;						// Default value

	/** If <code>true</code> the remote manager mechanism is active .									*/
	public static boolean	MANAGER		= true ;						// Default value
	
	/** If <code>true</code> the benchmark log file will be created in the <code>LOGDIR</code> folder.	*/
	public static boolean	BENCH		= false ;						// Default value

// **************************				LOGGER TYPE						*****************************	
	
  	/** If <code>true</code> the web service is configured to use the Log4j mechanism.					*/
	public static boolean 	LOG4J		= false ;						// Default value

  	/** If <code>true</code> the web service is configured to use <code>SystemLogger</code> logger.		*/
	public static boolean 	JAVA		= true ;						// Default value

// **************************				LOG4J SETTINGS					*****************************	

	/** Name of the web service, used to build other logical names.										*/
	public static String	SERVICE		= "template" ;					// Logic name

	/** File name of the Log4j configuration file (extension is "properties").							*/
	public static String	LOG_CONFIG	= "log4" + SERVICE ;			// File name (without extension)
	
// **************************			SYSTEM LOGGER SETTINGS				*****************************

	/** Parent directory for the log files (only when using the <code>SystemLogger</code> class).		*/
	public static String	LOGDIR		= "logs" ;						// Default value

	/** Logic name of the logger object (only when using the <code>SystemLogger</code> class).			*/
	public static String	LOGGER		= SERVICE + ".logger" ;			// Logic name

	/** Name of the performance analyzer object (only when using the <code>SystemLogger</code> class).	*/
	public static String	BENCHMARK 	= SERVICE + ".benchmark" ;		// Logic name

	/** Rotation of the logger file (minutes) (only when using the <code>SystemLogger</code> class).	*/
	public static int		ROTATE 		= 480 ;							// Default value
	
	/** Name of the possible extensions to be parsed by the <code>SystemLogger</code> (if used).		*/
	public static String[]	ARCHIVE 	= {".class", ".jar", ".aar"} ;
	
// **************************				PROPERTIES						*****************************		

	/** File name of the main configuration resource bundle (extension is "properties").				*/
	public static String	CONFIG		= "configuration"  ;			// File name (without extension)

	/** File name of the "message list" resource bundle (extension is "properties").					*/
	public static String	MESSAGES	= "messages_list" ;				// File name (without extension)
	
	/** File name of the "logic keywords" resource bundle (extension is "properties").					*/
	public static String	KEYWORDS	= "keywords" ;					// File name (without extension)
	
} //END OF CLASS