/**
* Title: WrapperFault
* Description:
* Copyright:    Copyright (c) 2009-2010
* Company:      Morpheus Quality Technologies
* @author Stefano Adriani
* @version 1.0
*/

package adriani.jws.template.messages ;

/**
* Simple exception class representing a validation error when constructing a single <code>ADBBean</code>
* record contained by the <code>Wrapper</code> class.
* The error message describe the <strong>last</strong> invalid field in the validation sequence, hence, if
* more than field fails validation, the exception describe only the last one.
*/
public class WrapperFault extends Exception {

 	/** CLASS ATTRIBUTES (NOT USED AT THE MOMENT)														*/
    //private String faultMessage ;

	/**
	* Stateless constructor.
	*/
    public WrapperFault() {

        super("WrapperFault") ;
    }

	/**
	* Stateful constructor. The string message is used by the <code>super()</code> constructor to set
	* the general error message for this exception, which will be returned by invoking the method
	* <code>exception.getMessage()</code>.
	*
	* @param string the validation message error for this exception
	*/
    public WrapperFault(String string) {

       super(string) ;
    }

	/**
	* Stateful constructor, as above, but defining also a general <code>Throwable</code> object.
	* <br/><br/>
	* NOT USED AT THE MOMENT.
	*
	* @param string the validation message error for this exception
	* @param throwable the throwable object generating the exception
	*/
    public WrapperFault(String string, Throwable throwable) {

      super(string, throwable) ;
    }

// *****************************			CUSTOM ATTRIBUTES			*************************************

	/**
	* Mutator used to detail the error message. Notice that this method will NOT be available in this
	* exception is catched using a general <code>Exception</code> object.
	*
    public void setFaultMessage(String msg) {

       this.faultMessage = msg ;
    }*/

	/**
	* Accessor used to detail the error message. Notice that this method will NOT be available in this
	* exception is catched using a general <code>Exception</code> object.
	*
    public String getFaultMessage() {

       return this.faultMessage ;
    }*/

} // End of class